Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfValueType

    java.lang.Object
      java.lang.Enum<OdfValueType>
          org.odftoolkit.odfdom.dom.type.table.OdfValueType

All Implemented Interfaces:
  Serializable, Comparable<OdfValueType>

    public enum OdfValueType

extends Enum<OdfValueType>

DOM implementation of OpenDocument attribute table:value-type.

Enum Constant Summary
`BOOLEAN`
`CURRENCY`
`DATE`
`FLOAT`
`PERCENTAGE`
`STRING`
`TIME`

Method Summary
`static OdfValueType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfValueType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfValueType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CURRENCY

    public static final OdfValueType CURRENCY

### FLOAT

    public static final OdfValueType FLOAT

### DATE

    public static final OdfValueType DATE

### BOOLEAN

    public static final OdfValueType BOOLEAN

### STRING

    public static final OdfValueType STRING

### PERCENTAGE

    public static final OdfValueType PERCENTAGE

### TIME

    public static final OdfValueType TIME

Method Detail

### values

    public static OdfValueType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfValueType c : OdfValueType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfValueType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfValueType>`
  Returns:
    return the name of OdfValueType

### toString

    public static String toString(OdfValueType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfValueType, see table:value-type
  Returns:
    return the name of OdfValueType

### enumValueOf

    public static OdfValueType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfValueType
  Returns:
    return the constant of OdfValueType, see table:value-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.